=== debian/changelog ===
libjjml-java (1.1.12-1) unstable; urgency=medium

  * Update upstream

 -- Mathieu Baudier <mbaudier@argeo.org>  Wed, 01 Oct 2025 10:54:31 +0000

libjjml-java (1.1.11-2) unstable; urgency=medium

  * Initial Debian packaging

 -- Mathieu Baudier <mbaudier@argeo.org>  Sun, 21 Sep 2025 11:51:55 +0000
