=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Both llama.cpp and the ggml it depends on are private for now
RPATH=/usr/lib/$(DEB_HOST_MULTIARCH)/ggml:/usr/lib/$(DEB_HOST_MULTIARCH)/llama

CMAKE_FLAGS = \
              -DJAVA_HOME=/usr/lib/jvm/default-java \
              -DCMAKE_INSTALL_RPATH=$(RPATH) \
              -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=OFF \
              -DCMAKE_BUILD_TYPE=RelWithDebInfo \

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure-arch:
	dh_auto_configure -- $(CMAKE_FLAGS)

execute_after_dh_auto_install-indep:
	ln -sr debian/tmp/usr/share/java/org.argeo.jjml-$(DEB_VERSION_UPSTREAM).jar \
	 debian/tmp/usr/share/java/org.argeo.jjml.jar
