=== debian/watch ===
version=4
opts="mode=git" \
https://git.argeo.org/argeo-jjml refs/tags/([\d\.]+)
