=== debian/changelog ===
libjjml-java (1.1.13-1) unstable; urgency=medium

  * Upstream release
  * Fix 'arch:all' build

 -- Mathieu Baudier <mbaudier@argeo.org>  Sat, 08 Nov 2025 13:45:43 +0000
