=== debian/control ===
Source: libjjml-java
Section: java
Priority: optional
Maintainer: Mathieu Baudier <mbaudier@argeo.org>
Standards-Version: 4.7.2
Vcs-Browser: http://git.argeo.org/?p=argeo-jjml;a=summary
Vcs-Git: https://git.argeo.org/argeo-jjml
Homepage: http://git.argeo.org/?p=argeo-jjml;a=summary
Build-Depends: cmake,
               default-jdk,
               debhelper-compat (= 13),
               libllama-dev,
Rules-Requires-Root: no

Package: libjjml-java
Architecture: all
Depends: libjjml-jni,
         ${misc:Depends},
Description: Java bindings for ggml libraries such as llama.cpp
 JJML provides enterprise-grade Java bindings for the llama.cpp
 LLM inference library.
 .
 Rather than to support all ggml and llama.cpp fatures, the main goal
 of this lightweight library is to be compatible with a broad range of
 Java versions (currently Java 11 to 25) and to provide a stable Java API
 for core LLM inference capabilities:
 .
  * Simple user/assistant dialog based on standard Java functional interfaces
  * Embeddings
  * Persistence of context state, in order to "pre-compile" prompt prefixes
  * Parallel batches
  * Chat templates (limited to those embedded in llama.cpp)
  * Combination and configuration of the native samplers from the Java side
  * API for implementing samplers in pure Java
 .
 This package contains the portable Java binaries, with OSGi and JPMS metadata.

Package: libjjml-jni
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Java bindings for ggml libraries such as llama.cpp (native libs)
 JJML provides enterprise-grade Java bindings for the llama.cpp
 LLM inference library.
 .
 This package contains the native libraries for libjjml-java.
