=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,7 @@
               -DCMAKE_INSTALL_RPATH=$(RPATH) \
               -DCMAKE_INSTALL_RPATH_USE_LINK_PATH=OFF \
               -DCMAKE_BUILD_TYPE=RelWithDebInfo \
+              -DJJML_DO_NOT_BUILD_TP=ON \
 
 %:
 	dh $@ --buildsystem=cmake
@@ -17,6 +18,9 @@
 override_dh_auto_configure-arch:
 	dh_auto_configure -- $(CMAKE_FLAGS)
 
+override_dh_auto_configure-indep:
+	dh_auto_configure -- $(CMAKE_FLAGS)
+
 execute_after_dh_auto_install-indep:
 	ln -sr debian/tmp/usr/share/java/org.argeo.jjml-$(DEB_VERSION_UPSTREAM).jar \
 	 debian/tmp/usr/share/java/org.argeo.jjml.jar
