=== native/CMakeLists.txt ===
--- 
+++ 
@@ -94,6 +94,7 @@
 endif()
 
 message(STATUS "GGML_BUILD_NUMBER=${GGML_BUILD_NUMBER} LLAMA_BUILD_NUMBER=${LLAMA_BUILD_NUMBER}")
+message(STATUS "GGML_VERSION=${GGML_VERSION} LLAMA_VERSION=${LLAMA_VERSION}")
 
 #
 # JJML NATIVE BUILD
