=== native/tp/CMakeLists.txt ===
--- 
+++ 
@@ -60,23 +60,59 @@
 	endif()
 	if(LLAMA_BUILD_TOOLS)
 		set_target_properties(llama-cli PROPERTIES RUNTIME_OUTPUT_DIRECTORY $<1:${TARGET_NATIVE_OUTPUT_LLAMA}>)
+		set_target_properties(llama-bench PROPERTIES RUNTIME_OUTPUT_DIRECTORY $<1:${TARGET_NATIVE_OUTPUT_LLAMA}>)
 	endif()
 	message(STATUS "Build llama.cpp locally from submodule native/tp/llama.cpp") 
 endif()
 
 # ggml and llama.cpp versions
+
+# hack to retrieve GGML base version
+# see https://stackoverflow.com/a/15519607
+file(STRINGS ggml/CMakeLists.txt VersionSetter
+     REGEX "^[ ]*set\\(GGML_VERSION_MAJOR")
+string(REGEX REPLACE "(^[ ]*set\\(GGML_VERSION_MAJOR[ ]*)([^\\)]*)\\)" "\\2"
+       GGML_VERSION_MAJOR ${VersionSetter})
+file(STRINGS ggml/CMakeLists.txt VersionSetter
+     REGEX "^[ ]*set\\(GGML_VERSION_MINOR")
+string(REGEX REPLACE "(^[ ]*set\\(GGML_VERSION_MINOR[ ]*)([^\\)]*)\\)" "\\2"
+       GGML_VERSION_MINOR ${VersionSetter})
+file(STRINGS ggml/CMakeLists.txt VersionSetter
+     REGEX "^[ ]*set\\(GGML_VERSION_PATCH")
+string(REGEX REPLACE "(^[ ]*set\\(GGML_VERSION_PATCH[ ]*)([^\\)]*)\\)" "\\2"
+       GGML_VERSION_PATCH ${VersionSetter})
+
 if (Git_FOUND)
-execute_process(COMMAND "${GIT_EXECUTABLE}" rev-list --count HEAD
+execute_process(COMMAND "${GIT_EXECUTABLE}" describe --exact-match --tags
+ WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ggml
+ OUTPUT_VARIABLE JJML_GGML_TAG OUTPUT_STRIP_TRAILING_WHITESPACE)
+if (NOT JJML_GGML_TAG)
+execute_process(COMMAND "${GIT_EXECUTABLE}" rev-list --count v${GGML_VERSION_MAJOR}.${GGML_VERSION_MINOR}.${GGML_VERSION_PATCH}..HEAD
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/ggml
  OUTPUT_VARIABLE JJML_GGML_COMMIT_COUNT OUTPUT_STRIP_TRAILING_WHITESPACE)
+endif()
 execute_process(COMMAND "${GIT_EXECUTABLE}" rev-list --count HEAD
  WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/llama.cpp
  OUTPUT_VARIABLE JJML_LLAMA_COMMIT_COUNT OUTPUT_STRIP_TRAILING_WHITESPACE)
 endif()
+
 if(NOT GGML_BUILD_NUMBER)
 set(GGML_BUILD_NUMBER ${JJML_GGML_COMMIT_COUNT} CACHE INTERNAL GGML_BUILD_NUMBER)
 endif()
+if(NOT GGML_VERSION)
+if (JJML_GGML_COMMIT_COUNT)
+set(GGML_VERSION ${GGML_VERSION_MAJOR}.${GGML_VERSION_MINOR}.${GGML_VERSION_PATCH}.${JJML_GGML_COMMIT_COUNT} CACHE INTERNAL GGML_VERSION)
+else()
+set(GGML_VERSION ${GGML_VERSION_MAJOR}.${GGML_VERSION_MINOR}.${GGML_VERSION_PATCH} CACHE INTERNAL GGML_VERSION)
+endif()
+endif()
+
 if(NOT LLAMA_BUILD_NUMBER)
 set(LLAMA_BUILD_NUMBER ${JJML_LLAMA_COMMIT_COUNT} CACHE INTERNAL LLAMA_BUILD_NUMBER)
 endif()
+if(NOT LLAMA_VERSION)
+set(LLAMA_VERSION 0.0.${JJML_LLAMA_COMMIT_COUNT} CACHE INTERNAL LLAMA_VERSION)
+endif()
 
+file(WRITE versions.mk "GGML_VERSION=${GGML_VERSION}\n")
+file(APPEND versions.mk "LLAMA_VERSION=${LLAMA_VERSION}\n")
