=== debian/changelog ===
libjjml-java (1.1.18-3) unstable; urgency=medium

  * autopkgtest: Fix detection of skipped tests
  * autopkgtest: Temporarily disable all test models but the smaller ones
  * Remove workaround for dropped dependency on libggml-dev in libllama-dev
  * Introduce CUDA autopkgtest

 -- Mathieu Baudier <mbaudier@argeo.org>  Sun, 18 Jan 2026 14:09:59 +0000

libjjml-java (1.1.18-2) unstable; urgency=medium

  * Introduce autopkgtest support

 -- Mathieu Baudier <mbaudier@argeo.org>  Sat, 10 Jan 2026 15:49:09 +0000

libjjml-java (1.1.18-1) unstable; urgency=medium

  * Upstream release

 -- Mathieu Baudier <mbaudier@argeo.org>  Thu, 18 Dec 2025 19:56:54 +0000
