=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Mathieu Baudier <mbaudier@argeo.org>
 Standards-Version: 4.7.2
-Vcs-Browser: http://git.argeo.org/?p=argeo-jjml;a=summary
-Vcs-Git: https://git.argeo.org/argeo-jjml
+Vcs-Browser: https://salsa.debian.org/mbaudier/libjjml-java
+Vcs-Git: https://salsa.debian.org/mbaudier/libjjml-java.git
 Homepage: http://git.argeo.org/?p=argeo-jjml;a=summary
 Build-Depends: cmake,
                default-jdk,
