=== debian/tests/control ===
Test-Command: debian/tests/java-ea /usr/share/doc/libjjml-java/examples/JjmlSmokeTests.java
Features: test-name=smoke-tests-backend-cpu
Depends: default-jre-headless, libjjml-java
Restrictions: skippable, allow-stderr

Test-Command: debian/tests/gpuisol-test-launcher nvidia debian/tests/java-ea /usr/share/doc/libjjml-java/examples/JjmlSmokeTests.java
Features: test-name=smoke-tests-backend-cuda
Architecture: amd64 arm64 ppc64el
Classes: nvidia-gpu
Depends: default-jre-headless, libjjml-java, libggml0-backend-cuda
Restrictions: skippable, allow-stderr, skip-not-installable
